Bug 877817 - Review Request: glite-lbjp-common-gss - Wrapper of Globus GSS/SSL implementation for gLite
Summary: Review Request: glite-lbjp-common-gss - Wrapper of Globus GSS/SSL implementat...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Mattias Ellert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1001104
TreeView+ depends on / blocked
 
Reported: 2012-11-18 23:47 UTC by František Dvořák
Modified: 2013-09-06 17:32 UTC (History)
2 users (show)

Fixed In Version: glite-lbjp-common-gss-3.2.13-2.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-01 23:06:22 UTC
Type: ---
mattias.ellert: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description František Dvořák 2012-11-18 23:47:20 UTC
Spec URL: http://scientific.zcu.cz/fedora/glite-lbjp-common-gss-3.2.8-1/glite-lbjp-common-gss.spec
SRPM URL: http://scientific.zcu.cz/fedora/glite-lbjp-common-gss-3.2.8-1/glite-lbjp-common-gss-3.2.8-1.fc19.src.rpm
Description: glite-security-gss wraps GSS functions (and several non-GSS Globus calls) to a secure network communication library with strict timing control (via timeout arguments) of all remote operations.
Fedora Account System Username: valtri

Additional notes:
- I'm upstream maintainer
- I don't have a sponsor
- koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4701865

Comment 2 František Dvořák 2013-06-24 17:32:20 UTC
Spec URL: http://scientific.zcu.cz/fedora/glite-lbjp-common-gss-3.2.13-1/glite-lbjp-common-gss.spec
SRPM URL: http://scientific.zcu.cz/fedora/glite-lbjp-common-gss-3.2.13-1/glite-lbjp-common-gss-3.2.13-1.fc20.src.rpm
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5536306

New upstream version and packaging improvements (arch-specific build dependencies, put system CFLAGS after all others build flags).

Comment 3 Mattias Ellert 2013-08-20 02:40:48 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[!]: Package complies to the Packaging Guidelines

It was complying at the time the package was submitted. However, there was
a change to the guidlines introduced recently banning arch specific
BuildRequires:

https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#BuildRequires_and_.25.7B_isa.7D

Personally I consider this guideline change unfortunate and believe it
to cause more problems than it solves. I have filed a request to FPC
asking them to reconsider this change which so far has been ignored.
But as long at it is still there I see no other choice than to follow
it, unfortunately.

[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.

Though the tests are skipped since they need valid proxy certificate.

[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: glite-lbjp-common-gss-3.2.13-1.fc20.x86_64.rpm
          glite-lbjp-common-gss-devel-3.2.13-1.fc20.x86_64.rpm
glite-lbjp-common-gss-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint glite-lbjp-common-gss glite-lbjp-common-gss-devel
glite-lbjp-common-gss-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
glite-lbjp-common-gss (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libcares.so.2()(64bit)
    libglobus_gssapi_gsi.so.4()(64bit)
    libglobus_gssapi_gsi.so.4(globus_gssapi_gsi)(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)

glite-lbjp-common-gss-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    glite-lbjp-common-gss(x86-64)
    globus-gssapi-gsi-devel(x86-64)
    libglite_security_gss.so.9()(64bit)
    pkgconfig
    pkgconfig(globus-gssapi-gsi)



Provides
--------
glite-lbjp-common-gss:
    glite-lbjp-common-gss
    glite-lbjp-common-gss(x86-64)
    libglite_security_gss.so.9()(64bit)

glite-lbjp-common-gss-devel:
    glite-lbjp-common-gss-devel
    glite-lbjp-common-gss-devel(x86-64)
    pkgconfig(glite-security-gss)



Source checksums
----------------
http://scientific.zcu.cz/emi/emi.lbjp-common.gss/glite-lbjp-common-gss-3.2.13.tar.gz :
  CHECKSUM(SHA256) this package     : 25c63484e752079f8568f807ffe65eb265c86e3c78df0442db2dc1486618377b
  CHECKSUM(SHA256) upstream package : 25c63484e752079f8568f807ffe65eb265c86e3c78df0442db2dc1486618377b


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 877817 -m fedora-rawhide-x86_64

----------------------------------------

The issue with the new guideline about no %{?_isa} in BuildRequires can be fixed post review.

Package approved.

Comment 4 František Dvořák 2013-08-21 18:44:34 UTC
Spec URL: http://scientific.zcu.cz/fedora/glite-lbjp-common-gss-3.2.13-2/glite-lbjp-common-gss.spec
SRPM URL: http://scientific.zcu.cz/fedora/glite-lbjp-common-gss-3.2.13-2/glite-lbjp-common-gss-3.2.13-2.fc21.src.rpm

Links to the new versions - removed BuildRequires %{?_isa), added perl dependencies (catched in review of glite-lb-types).

Comment 5 František Dvořák 2013-08-21 18:47:13 UTC
New Package SCM Request
=======================
Package Name: glite-lbjp-common-gss
Short Description: Wrapper of Globus GSS/SSL implementation for gLite
Owners: valtri
Branches: f18 f19 el6
InitialCC:

Comment 6 Gwyn Ciesla 2013-08-22 12:10:34 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2013-08-22 13:16:08 UTC
glite-lbjp-common-gss-3.2.13-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/glite-lbjp-common-gss-3.2.13-2.el6

Comment 8 Fedora Update System 2013-08-22 13:17:31 UTC
glite-lbjp-common-gss-3.2.13-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/glite-lbjp-common-gss-3.2.13-2.fc18

Comment 9 Fedora Update System 2013-08-22 13:19:24 UTC
glite-lbjp-common-gss-3.2.13-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/glite-lbjp-common-gss-3.2.13-2.fc19

Comment 10 Fedora Update System 2013-08-23 00:30:23 UTC
glite-lbjp-common-gss-3.2.13-2.fc19 has been pushed to the Fedora 19 testing repository.

Comment 11 Fedora Update System 2013-09-01 23:06:22 UTC
glite-lbjp-common-gss-3.2.13-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 12 Fedora Update System 2013-09-01 23:09:27 UTC
glite-lbjp-common-gss-3.2.13-2.fc18 has been pushed to the Fedora 18 stable repository.

Comment 13 Fedora Update System 2013-09-06 17:32:24 UTC
glite-lbjp-common-gss-3.2.13-2.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.